org.apache.xerces.dom

## Class DOMStringListImpl

- java.lang.Object
- - org.apache.xerces.dom.DOMStringListImpl

All Implemented Interfaces:
  org.w3c.dom.DOMStringList

    public class DOMStringListImpl
    extends java.lang.Object
    implements org.w3c.dom.DOMStringList

DOM Level 3 This class implements the DOM Level 3 Core interface DOMStringList.

Author:
  Neil Delima, IBM

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Constructor Summary

Constructors
Constructor and Description
`DOMStringListImpl()` Construct an empty list of DOMStringListImpl
`DOMStringListImpl(java.util.ArrayList params)` Construct a DOMStringListImpl from an ArrayList
`DOMStringListImpl(java.util.Vector params)` Construct a DOMStringListImpl from a Vector

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add(java.lang.String param)` DOM Internal: Add a `DOMString` to the list.
`boolean` `contains(java.lang.String param)` Test if a string is part of this `DOMStringList`.
`int` `getLength()` The number of `DOMString`s in the list.
`java.lang.String` `item(int index)` Returns the `index`th item in the collection.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DOMStringListImpl

    public DOMStringListImpl()

Construct an empty list of DOMStringListImpl

#### DOMStringListImpl

    public DOMStringListImpl(java.util.ArrayList params)

Construct a DOMStringListImpl from an ArrayList

#### DOMStringListImpl

    public DOMStringListImpl(java.util.Vector params)

Construct a DOMStringListImpl from a Vector

### Method Detail

#### item

    public java.lang.String item(int index)

Description copied from interface: `org.w3c.dom.DOMStringList`
Returns the `index`th item in the collection. If `index` is greater than or equal to the number of `DOMString`s in the list, this returns `null`.

Specified by:
  `item` in interface `org.w3c.dom.DOMStringList`
Parameters:
  `index` - Index into the collection.
Returns:
  The `DOMString` at the `index`th position in the `DOMStringList`, or `null` if that is not a valid index.
See Also:
  `DOMStringList.item(int)`

#### getLength

    public int getLength()

Description copied from interface: `org.w3c.dom.DOMStringList`
The number of `DOMString`s in the list. The range of valid child node indices is 0 to `length-1` inclusive.

Specified by:
  `getLength` in interface `org.w3c.dom.DOMStringList`
See Also:
  `DOMStringList.getLength()`

#### contains

    public boolean contains(java.lang.String param)

Description copied from interface: `org.w3c.dom.DOMStringList`
Test if a string is part of this `DOMStringList`.

Specified by:
  `contains` in interface `org.w3c.dom.DOMStringList`
Parameters:
  `param` - The string to look for.
Returns:
  `true` if the string has been found, `false` otherwise.
See Also:
  `DOMStringList.contains(String)`

#### add

    public void add(java.lang.String param)

DOM Internal: Add a `DOMString` to the list.

Parameters:
  `param` - A string to add to the list